xVisKernels | R Documentation

## Function to visualise distance kernel functions

### Description

`xVisKernels` is supposed to visualise distance kernels, each of which is a decaying function of: i) the relative distance d_{gs} between the gene g and the SNP s, and ii) the decay exponent λ.

### Usage

    xVisKernels(exponent = 2, newpage = T)

### Arguments

`exponent` | an integer specifying decay exponent. By default, it sets to 2
`newpage` | logical to indicate whether to open a new page. By default, it sets to true for opening a new page

### Value

invisible

### Note

There are five kernels that are currently supported:

- For "slow decay" kernel, h_{ds}(t)={1-{d_{gs}/D}λ}*(d_{gs} ≤ D)

- For "linear decay" kernel, h_{ds}(t)={1-d_{gs}/D}*(d_{gs} ≤ D)

- For "rapid decay" kernel, h_{ds}(t)={{1-d_{gs}/D}^λ}*(d_{gs} ≤ D)

### See Also

`xSNP2nGenes`

### Examples

    # visualise distance kernels
    xVisKernels(exponent=2)
    xVisKernels(exponent=3)